import { ComponentInterface } from '../../stencil-public-runtime';
import type { Color } from '../../interface';
import { INavbarUser, IGetUserOfNavbar } from '../../interface';
export declare class GascoSidebar implements ComponentInterface {
  private usernav;
  user?: INavbarUser;
  isResize: boolean;
  isOpenMenu: boolean;
  isOpenNavbar: boolean;
  isResponsive: number;
  /**
   * If 'true', the `gasco-sidebar` will be inicialized open, defaul is `false`.
   */
  isOpen?: boolean;
  /**
   * If `cover`, the `gasco-sidebar` will expand to cover the full height of its container.
   * If `fixed`, the `gasco-sidebar` will have a fixed height.
   */
  size?: 'cover' | 'fixed';
  /**
   * The color to use from your application's color palette.
   * Default options are: `"primary"`, `"secondary"`, `"success"`, `"warning"`, `"danger"`.
   */
  color?: Color;
  protected handleResize(): void;
  protected handleShowUser(e: CustomEvent<IGetUserOfNavbar>): void;
  protected handleBackdrop(): void;
  protected handleSidebarShow(e: CustomEvent): void;
  protected handleGascoChange(e: Event): void;
  protected handleIsResize(current: boolean): void;
  private handleHiddenSidebar;
  private createNewIcon;
  componentWillLoad(): void;
  render(): any;
}
